<?php include('casa/setup.casa.php');
$titulo = 'Vender';
include('inc_head.php');
$Dollar = Dollar();
$prod_codigo = DataForms::GET('id');
?>
<style>
th{
	color:white;
	text-align:center;
	text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu2.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">							
								
								<div class="card-body">		
									<div class="table-responsive">
                                    <?php 
                                        $db=new DB();
										$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND prod.prod_codigo = '$prod_codigo'
												AND ubi.ubica_estado='1';";																						
										
                                        $db= new DB();
										$db->dbSQL($sql);
										$html='';
										$db->next();
										$i=1;
											$prod_id = $db->dbField('prod_id');
											$ubica_codigo = $db->dbField('ubica_codigo');
												$ubica_nombre = utf8_encode($db->dbField('ubica_nombre'));													
												$ubica_color = $db->dbField('ubica_color');													
													
											$prod_item = $db->dbField('prod_item');
											$prod_codigo = $db->dbField('prod_codigo');
											$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
											$prod_foto = $db->dbField('prod_foto');
												if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
											$prod_piezascaja = $db->dbField('prod_piezascaja');
											$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
											$prod_preciounitario = $db->dbField('prod_preciounitario');
											$prod_preciodocena = $db->dbField('prod_preciodocena');
											$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
											$prod_fecha = $db->dbField('prod_fecha');
											//Calculos
											$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
											$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);			
											$prod_observaciones = utf8_encode($db->dbField('prod_observaciones'));	
											  if($prod_observaciones=='') $prod_observaciones='Sin observaciones';
												$html.='<h2>'.($prod_nombre).'</h2><hr>
														 <h2><b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;color:white;text-shadow:black 1px 1px;border-radius:7px;">'.$ubica_nombre.'</span><br>
														 <b>Item: </b>'.$prod_item.'</h2><br>
														 <center><img src="../../fotos/small_'.$prod_foto.'" width="50%"></center>';
																									
												$html.='<table width="100%"><tr>
												<td><h2>
													<b>Piezas Caja:</b>'.$prod_piezascaja.'<br>
													<b>Cantidad&nbsp;Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
													<b>Total Piezas: </b>'.$prod_unidadesreal.'</h2></td>
												<td><h2><b>p. Unitario:</b> $u$: '.$prod_preciounitario.' Bs.: '.($prod_preciounitario*$Dollar).'<br>
												<b>p. Docena:</b> $u$: '.$prod_preciodocena.' Bs.: '.($prod_preciodocena*$Dollar).'<br>
												<b>p.&nbsp;Caja:&nbsp;</b>&nbsp;$u$: '.$prod_preciocajadocena.' Bs.: '.($prod_preciocajadocena*$Dollar).'</h2>
												</td></tr><tr>
												<td colspan="2" align="center"><h1>'.$prod_observaciones.'</h1></td></tr></table>';	  
												if($prod_unidadesreal<=0){
													$html.='<td align=center><h1>sin stock</h1></td>';	
													$html.='<td align=center><h1>sin stock</h1></td>';	
												}else{																		  
													$html.='<center>
														<div class=" form-group-default">
															<label>Cantidad por Precio Unitario:</label>
															<input type="text" id="PrecU_'.$i.'" onkeyup=CalcPrecU("'.$prod_preciounitario.'",$(this).val(),"'.$i.'") style="max-width:47%">
															<input type="text" id="ResPrecU_'.$i.'" style="max-width:40%" disabled>
															<label>Cantidad a Precio de Docena</label>
															<div id="CalcCajasUni_'.$i.'"></div>																
															<input type="text" id="PrecDoc_'.$i.'" onkeyup=CalcPrecDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") style="max-width:47%">
															<input type="text" id="ResPrecDoc_'.$i.'" style="max-width:40%" disabled>
															<label>Cantidad a Precio de Caja</label>
															<div id="CalcCajasDocena_'.$i.'"></div>
															<input type="text" id="PrecCajaDoc_'.$i.'" onkeyup=CalcPrecCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") style="max-width:47%">
															<input type="text" id="ResPrecCajaDoc_'.$i.'" style="max-width:40%" disabled>
															<label>Precio Docena</label>
															<div id="CalcDocena_'.$i.'"></div>
															<input type="text" id="PrecDoc2_'.$i.'" onkeyup=CalcCajaDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") style="max-width:47%">
															<input type="text" id="ResDoc_'.$i.'" style="max-width:40%" disabled></div>
													</center>';														  															  													
													$html.="<center>
													<a href='#' onclick=Vender('".$prod_codigo."','".$i."') class='btn btn-default' style='color:white'>
													VENDER</a></center>";												
												}											
												echo $html;
										?>
										</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?><div id='res'></div>
		</div>
		
		
	</div>
</body>
</html>
<script>
function Vender(prod,num){	
	$.post('<?php echo PATH_HOME.'ventas-registrar/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $_SESSION['codigo_venta']; ?>',
	 'prod_codigo': prod,
	 'Numtxt':num,
	 'PrecU': $('#PrecU_'+num).val(),
	 'PrecDoc': $('#PrecDoc_'+num).val(),
	 'PrecDoc2': $('#PrecDoc2_'+num).val(),	 
	 'PrecCajaDoc': $('#PrecCajaDoc_'+num).val(),	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 	
}
function CalcPrecU(Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;	
	$("#PrecU_"+id).val(Cantidad);
	$("#ResPrecU_"+id).val(res);
}	
function CalcPrecDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = 12*Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc_"+id).val(Cantidad);
	$("#ResPrecDoc_"+id).val(res);
	$("#CalcCajasUni_"+id).html("<b>Cantidad: </b>"+(Cantidad*12)+" unidades");	
}	
function CalcPrecCajaDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecCajaDoc_"+id).val(Cantidad);
	$("#ResPrecCajaDoc_"+id).val(res);
	$("#CalcCajasDocena_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CalcCajaDoc(CantUniCaja,Precio,Cantidad,id){	
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc2_"+id).val(Cantidad);
	$("#ResDoc_"+id).val(res);
	$("#CalcDocena_"+id).html("<b>"+Cantidad+"*"+Precio+"="+res+"</b>");	
}	
function CleanText(){
	<?php
	$x=1;
		echo '$("#CalcCajasUni_'.$x.'").html("");$("#PrecU_'.$x.'").val("");$("#PrecDoc_'.$x.'").val("");$("#PrecDoc2_'.$x.'").val("");$("#PrecCajaDoc_'.$x.'").val("");$("#ResPrecU_'.$x.'").val("");
				$("#ResPrecDoc_'.$x.'").val("");$("#ResPrecCajaDoc_'.$x.'").val("");$("#CalcCajasUni_'.$x.'").html("");$("#CalcCajasDocena_'.$x.'").html("");';	
	?>
}	
function sms(){
	Android.MostrarSMS("test venta de productos!!!");
}
</script>